ru.bitel.bgbilling.modules.sberbank.server.bean

## Class AutopaymentManager

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<Autopayment>
  - - ru.bitel.bgbilling.server.bean.AbstractAutopaymentManager
    - - ru.bitel.bgbilling.modules.sberbank.server.bean.AutopaymentManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class AutopaymentManager
      extends AbstractAutopaymentManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutopaymentManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `autopaymentOff(Autopayment autopayment)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractAutopaymentManager

      `getAutopayment, getCurrentAutopayment, getFromRS, searchActivateAutopayment, searchAutopayment, searchCurrentAutopayment, updateAutopayment, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutopaymentManager

          public AutopaymentManager(java.sql.Connection con,
                                    int moduleId)

  - ### Method Detail

    - #### autopaymentOff

          public void autopaymentOff(Autopayment autopayment)